#!/usr/bin/env node

var core = require('../prototypes/Core.js');

var _require = require('commander'),
  program = _require.program;

program.command('configure').description('Set token to access your tanker\'s scripts').action(async function (params, env) {
  core.configure(params, env);
});
program.command('reset').description('Unset your token').action(async function (params, env) {
  core.reset(params, env);
});
program.command('use').description('Choose a script').action(async function (params, env) {
  core.use(params, env);
});
program.command('run').option('-b, --bin <type>', 'if you want to use a different binary', 'bash').description('Run selected script').action(async function (params, env) {
  core.run(params, env);
});
program.command('display').action(async function (params, env) {
  core.display(params, env);
});
program.command('status').action(async function (params, env) {
  core.status(params, env);
});
program.command('add <title>')
  .option('-f, --file <path>', 'Path to the file your want to add', false)
  .option('-d, --description <path>', 'Path to add description in markdown', false)
  .option('-s, --summary <type>', 'if you want to use a different binary', '')
  .option('-p, --private', 'create a private source code')
  .action(async function (params, env) {
    core.add(params, env);
  });

program
  .command('update [status]')
  .option('-t, --title <title>', 'Update Title of code', null)
  .option('-f, --file <path>', 'Update code', null)
  .option('-d, --description <path>', 'Update markdown description of code', null)
  .option('-s, --summary <type>', 'Update Summary of code', null)
  .action(async function (params, env) {
    core.update(params, env);
  });

program.parse(process.argv);